Package org.eclipse.microprofile.telemetry.metrics.tck.application.http

# Class HttpHistogramTest.SpanResource

java.lang.Object
org.eclipse.microprofile.telemetry.metrics.tck.application.http.HttpHistogramTest.SpanResource

Enclosing class:
  HttpHistogramTest

@Path("/") public static class HttpHistogramTest.SpanResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`SpanResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`fail()`
`jakarta.ws.rs.core.Response`
`span()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpanResource

public SpanResource()

## Method Details

### span

@GET @Path("/span") public jakarta.ws.rs.core.Response span()

### fail

@GET @Path("/fail") public jakarta.ws.rs.core.Response fail()